<?php
declare(strict_types=1);

namespace CakeContactUs\Controller\Admin;

use App\Controller\AppController;

/**
 * ContactUsFormSubmissions Controller
 *
 * @property \CakeContactUs\Model\Table\ContactUsFormSubmissionsTable $ContactUsFormSubmissions
 */
class ContactUsFormSubmissionsController extends AppController
{
    public function initialize(): void
    {
        parent::initialize(); // TODO: Change the autogenerated stub
    }

    /**
     * Index method
     *
     * @return \Cake\Http\Response|null|void Renders view
     */
    public function index()
    {
        $query = $this->ContactUsFormSubmissions->find();
        $contactUsFormSubmissions = $this->paginate($query);

        $this->set(compact('contactUsFormSubmissions'));
    }

    /**
     * View method
     *
     * @param string|null $id Contact Us Form Submission id.
     * @return \Cake\Http\Response|null|void Renders view
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $contactUsFormSubmission = $this->ContactUsFormSubmissions->get($id, contain: []);
        $this->set(compact('contactUsFormSubmission'));
    }


    /**
     * Edit method
     *
     * @param string|null $id Contact Us Form Submission id.
     * @return \Cake\Http\Response|null|void Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $contactUsFormSubmission = $this->ContactUsFormSubmissions->get($id, contain: []);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $contactUsFormSubmission = $this->ContactUsFormSubmissions->patchEntity($contactUsFormSubmission, $this->request->getData());
            if ($this->ContactUsFormSubmissions->save($contactUsFormSubmission)) {
                $this->Flash->success(__('The contact us form submission has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The contact us form submission could not be saved. Please, try again.'));
        }
        $this->set(compact('contactUsFormSubmission'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Contact Us Form Submission id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $contactUsFormSubmission = $this->ContactUsFormSubmissions->get($id);
        if ($this->ContactUsFormSubmissions->delete($contactUsFormSubmission)) {
            $this->Flash->success(__('The contact us form submission has been deleted.'));
        } else {
            $this->Flash->error(__('The contact us form submission could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
