<?php
declare(strict_types=1);

namespace CakeContactUs\Model\Entity;

use Cake\ORM\Entity;

/**
 * ContactUsFormSubmission Entity
 *
 * @property string $id
 * @property \Cake\I18n\DateTime $submitted_at
 * @property string $client_ip
 * @property string $name
 * @property string|null $email
 * @property string|null $subject
 * @property string $message
 * @property \Cake\I18n\DateTime|null $confirm_email_sent
 * @property \Cake\I18n\DateTime|null $backend_email_sent
 */
class ContactUsFormSubmission extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected array $_accessible = [
        'submitted_at' => true,
        'client_ip' => true,
        'name' => true,
        'email' => true,
        'subject' => true,
        'message' => true,
        'confirm_email_sent' => true,
        'backend_email_sent' => true,
    ];
}
