<?php
/**
 * @var \App\View\AppView $this
 * @var \Cake\Datasource\EntityInterface $contactUsFormSubmission
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $contactUsFormSubmission->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $contactUsFormSubmission->id), 'class' => 'side-nav-item']
            ) ?>
            <?= $this->Html->link(__('List Contact Us Form Submissions'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column column-80">
        <div class="contactUsFormSubmissions form content">
            <?= $this->Form->create($contactUsFormSubmission) ?>
            <fieldset>
                <legend><?= __('Edit Contact Us Form Submission') ?></legend>
                <?php
                    echo $this->Form->control('submitted_at');
                    echo $this->Form->control('client_ip');
                    echo $this->Form->control('name');
                    echo $this->Form->control('email');
                    echo $this->Form->control('subject');
                    echo $this->Form->control('message');
                    echo $this->Form->control('confirm_email_sent', ['empty' => true]);
                    echo $this->Form->control('backend_email_sent', ['empty' => true]);
                ?>
            </fieldset>
            <?= $this->Form->button(__('Submit')) ?>
            <?= $this->Form->end() ?>
        </div>
    </div>
</div>
